RubyGems Navigation menu

rubocop 0.74.0

Automatic Ruby code style checking tool. Aims to enforce the community-driven Ruby Style Guide.

Gemfile:
= Copy to clipboard Copied!

install:
=

Versions:

  1. 1.61.0 - February 29, 2024 (617 KB)
  2. 1.60.2 - January 24, 2024 (616 KB)
  3. 1.60.1 - January 17, 2024 (615 KB)
  4. 1.60.0 - January 15, 2024 (615 KB)
  5. 1.59.0 - December 11, 2023 (613 KB)
  6. 0.74.0 - July 31, 2019 (382 KB)
Show all versions (263 total)

Runtime Dependencies (6):

jaro_winkler ~> 1.5.1
parallel ~> 1.10
parser >= 2.6
rainbow >= 2.2.2, < 4.0
unicode-display_width >= 1.4.0, < 1.7

Development Dependencies (1):

bundler >= 1.15.0, < 3.0

Owners:

Pushed by:

Authors:

  • Bozhidar Batsov, Jonas Arvidsson, Yuji Nakayama

SHA 256 checksum:

d3abbf59133f5fce2bea961bb363a3c2f7d2e36ffc30fd11de5c2c9cb456fe72

Total downloads 397,690,593

For this version 10,481,180

License:

MIT

Required Ruby Version: >= 2.3.0

New versions require MFA: true

Links: